import { JSXElement } from 'solid-js';
import { Atom } from '@cn-ui/use';
export declare type TriggerProps = Omit<Partial<Props>, 'content'> & {
    content: JSXElement;
    /** 控制 Trigger 能否被触发，交由外部控制，返回的值可能不正确 */
    disabled?: Atom<boolean>;
    /** 控制 Trigger 的显示 */
    visible?: Atom<boolean>;
    children?: JSXElement;
};
import { Props } from 'tippy.js';
import 'tippy.js/dist/tippy.css';
import 'tippy.js/animations/scale.css';
/**
 * @zh Popup 层控制组件
 * @link https://atomiks.github.io/tippyjs/v6/tippy-instance/
 */
export declare const Trigger: import("solid-js").Component<Omit<TriggerProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
